Author Topic: EasyRPG - Development Build  (Read 16875 times)

mth

  • Posts: 317
Re: EasyRPG - Development Build
« Reply #20 on: December 24, 2013, 01:56:25 am »
RTP are runtime packages. It is a collection of artwork that comes with the editor and is used by many games. By installing it separately the games only need to include their custom artwork instead of the used pre-made art as well, making many game installations much smaller.

I don't know though where exactly EasyRPG will look for those files.

glimmer

  • Posts: 119
Re: EasyRPG - Development Build
« Reply #21 on: December 24, 2013, 02:02:03 am »
RTP are runtime packages. It is a collection of artwork that comes with the editor and is used by many games. By installing it separately the games only need to include their custom artwork instead of the used pre-made art as well, making many game installations much smaller.

I don't know though where exactly EasyRPG will look for those files.
Well, I could experiment, except that all I have are these EXEs, so I also need to know if I just copy them, or if someone can provide a copy of... whatever they're supposed to install. Still don't have access to a Windows machine.

Shin-NiL (OP)

  • Posts: 355
    • Shin-NiL's Personal Web Page (Brazilian Portuguese)
Re: EasyRPG - Development Build
« Reply #22 on: December 26, 2013, 04:25:55 pm »
ok, i've done a test with all minimum 4 star rated rpgmaker2000 games and as far as I can tell none is working right now.

a most common error is segmentation fault (The Way EP1,2,3,...), a few games suffer from bad file endings like *.mp3.wav, it seems that easyrpg is trying to recognize this as *.mp3 not as wav. Other games crash as soon as you are in the combat mode. Beta for example crashes with libpng error and bus error.
Another error: ./EasyRPG: libc/misc/ctype/ctype.c: 281:tolower:Assertion `((((unsigned int)((c) - 0)) <=((127*2+1) - 0)) || ((c) == (-1)))`failed.
hope that helps, all games are from rpgmaker.net so you can test yourself. On Windows these games do run with no error, rtp files are installed and working (blurred line is the only i got running).
Fixes are highly awaited cause this is a cool platform :)

Did you test these games using the EasyRPG binaries for Windows? As I said before, EasyRPG is not complete yet, this is a development build.

I don't know anything at all about RPGMaker. Can I get a few more instructions? For instance, I don't know what RTP files are. Do I just unpack the zip files at http://divinelegy.com/rmt/utilities/ and put the EXEs in the subdirectories mentioned? Do they need to be run or unpacked in some way? I don't have access to a Windows machine right now.

If the files need to be unpacked, can someone provide the unpacked file content? p7zip doesn't recognize the EXEs as containing any archives.

You must install the RTP exe on your machine, then copy the installed RTP folder contents to
/usr/local/home/.easyrpg/rtp2k (RPG2K games) or
/usr/local/home/.easyrpg/rtp2k3 (RPGK3 games)
You can use wine to install the RTP files on linux.

glimmer

  • Posts: 119
Re: EasyRPG - Development Build
« Reply #23 on: December 26, 2013, 04:55:02 pm »
You must install the RTP exe on your machine, then copy the installed RTP folder contents to
/usr/local/home/.easyrpg/rtp2k (RPG2K games) or
/usr/local/home/.easyrpg/rtp2k3 (RPGK3 games)
You can use wine to install the RTP files on linux.
Yes, I know about WINE. Again, I can't do this. Can someone provide the RTP files in a cross-platform format?

Shin-NiL (OP)

  • Posts: 355
    • Shin-NiL's Personal Web Page (Brazilian Portuguese)
Re: EasyRPG - Development Build
« Reply #24 on: December 28, 2013, 04:32:57 pm »
I'm sorry, but I can't provide you these files :(

Albert

  • Posts: 11
Re: EasyRPG - Development Build
« Reply #25 on: February 18, 2014, 10:12:36 pm »
So what's the current status on this project, might I ask? The port, as well as just EasyRPG player overall.

Shin-NiL (OP)

  • Posts: 355
    • Shin-NiL's Personal Web Page (Brazilian Portuguese)
Re: EasyRPG - Development Build
« Reply #26 on: February 18, 2014, 10:43:04 pm »
The project is at a slow pace of development, so we do not have many updates since the latest  GCW-Zero build. The good part is that the port is almost identical to the PC version.

You can follow the code updates here: https://github.com/EasyRPG/Player/commits/master

Fluxchar

  • Posts: 127
Re: EasyRPG - Development Build
« Reply #27 on: March 26, 2014, 04:16:06 pm »
Pm sent to shin

Shin-NiL (OP)

  • Posts: 355
    • Shin-NiL's Personal Web Page (Brazilian Portuguese)
Re: EasyRPG - Development Build (2014/07/04)
« Reply #28 on: July 05, 2014, 12:18:00 am »
Good news, there's a new build (0.2.1), I'll upload a video later.

EDIT: video uploaded, see the first post.
« Last Edit: July 05, 2014, 02:16:08 am by Shin-NiL »

gustavolatil

  • Posts: 131
Re: EasyRPG - Development Build (2014/07/04)
« Reply #29 on: July 05, 2014, 03:03:23 am »
ok, so i've followed the instructions and copied space funeral and yume nikki
yume nikki does not open and space funeral crashes after the star screen?
i'm doing something wrong or the games aren't supported?
also THANKS FOR YOUR WORK!

Shin-NiL (OP)

  • Posts: 355
    • Shin-NiL's Personal Web Page (Brazilian Portuguese)
Re: EasyRPG - Development Build (2014/07/04)
« Reply #30 on: July 05, 2014, 04:18:37 pm »
I've tested Yume Nikki and I was getting the same error zephyrus got some time ago: 
Code: [Select]
libc/misc/ctype/ctype.c: 281:tolower:Assertion `((((unsigned int)((c) - 0)) <=((127*2+1) - 0)) || ((c) == (-1)))`failed.
The good news: I fixed this problem, now the game starts.
The bad news: it can't find most of the resources, because it's using japanese characters. You can see a related discussion here.

The only version of Space Funeral I found was missing .ldb & .lmt files :( I've found a complete version of Space Funeral now, it seems to be some problem with locale, I'll need to do some investigation...

I'll upload this new build soon. Done!
« Last Edit: July 05, 2014, 04:49:31 pm by Shin-NiL »

Homeplanet

  • Posts: 28
Re: EasyRPG - Development Build (2014/07/05)
« Reply #31 on: July 07, 2014, 05:57:50 pm »
Ran into a problem with the new build. Whenever I try to start a game (any game, including A Blurred Line, which seems to work in the video) I get an error that says 'Cannot find database file'. Not entirely sure which file it refers to, but I've put the RTP (for both 2000 and 2003) to media/data/local/share/rtp2k and media/data/local/share/rtp2k3 respectively, but still get the error. Any ideas as to what's wrong?
ARGHGHEHGHGH - Chewbacca

Words to live by

Shin-NiL (OP)

  • Posts: 355
    • Shin-NiL's Personal Web Page (Brazilian Portuguese)
Re: EasyRPG - Development Build (2014/07/04)
« Reply #32 on: July 07, 2014, 10:36:04 pm »
ok, so i've followed the instructions and copied space funeral and yume nikki
yume nikki does not open and space funeral crashes after the star screen?

For get Yume no Nikki working you must edit the RPG_RT.ini according to your game translation, add the following section:
Code: [Select]
[EasyRPG]
Encoding=932
or
Code: [Select]
[EasyRPG]
Encoding=1252

My version is working with 932, I don't know if it is fully functional though.


Ran into a problem with the new build. Whenever I try to start a game (any game, including A Blurred Line, which seems to work in the video) I get an error that says 'Cannot find database file'. Not entirely sure which file it refers to, but I've put the RTP (for both 2000 and 2003) to media/data/local/share/rtp2k and media/data/local/share/rtp2k3 respectively, but still get the error. Any ideas as to what's wrong?
Please make sure that RPG_RT.ldb, RPG_RT.lmt, etc is in your game directory.


« Last Edit: July 07, 2014, 10:50:29 pm by Shin-NiL »

Homeplanet

  • Posts: 28
Re: EasyRPG - Development Build (2014/07/05)
« Reply #33 on: July 08, 2014, 12:36:24 am »
All of my games (OFF, Home, Blurred Line, Oneshot, and Schuld, if that changes anything) have RPG_RT ini, idb, and lmt files (plus the exe of course). Dunno if there's more files I'm missing, but that's what I've got. Gonna try them on my PC as well and see if they work, but none have booted on the zero (so far).
ARGHGHEHGHGH - Chewbacca

Words to live by

Homeplanet

  • Posts: 28
Re: EasyRPG - Development Build (2014/07/05)
« Reply #34 on: July 08, 2014, 01:18:43 am »
Finished testing the games on PC, with and without the RTP. Without it, all of the games ran passably but with no music or sounds except for Home and OFF, which did. All of them worked perfectly with the RTP. Still no luck on the GCW, however.
ARGHGHEHGHGH - Chewbacca

Words to live by

Shin-NiL (OP)

  • Posts: 355
    • Shin-NiL's Personal Web Page (Brazilian Portuguese)
Re: EasyRPG - Development Build (2014/07/05)
« Reply #35 on: July 08, 2014, 01:30:21 am »
If all your files are there, so check if there are any blank space at the full game path.
Ex: /usr/local/share/My Games/OFF -> invalid
/usr/local/share/My_Games/OFF -> valid

Homeplanet

  • Posts: 28
Re: EasyRPG - Development Build (2014/07/05)
« Reply #36 on: July 08, 2014, 01:51:28 am »
Well, it was much simpler to fix than I'd thought. There was a space in my SD card's name, which I didn't notice, which was causing all the fuss. Thanks for the quick reply, too. My only issue is that OFF, Home, and Schuld have a few graphical issues and the BGM won't load. These all worked on the PC build for 0.2.1, so is this fixable? or should I just wait for the next build? (in any case, Oneshot and Blurred line work, which is good enough for me)
ARGHGHEHGHGH - Chewbacca

Words to live by

Shin-NiL (OP)

  • Posts: 355
    • Shin-NiL's Personal Web Page (Brazilian Portuguese)
Re: EasyRPG - Development Build (2014/07/05)
« Reply #37 on: July 08, 2014, 02:16:33 am »
MP3 files will not run on GCW-Zero. You can convert them all to ogg then rename the converted files with exactly the same name as mp3 ones, just change the extension. This way, convert music01.mp3 to music01.ogg, music02.mp3 to music02.ogg and so on ;)

gustavolatil

  • Posts: 131
Re: EasyRPG - Development Build (2014/07/04)
« Reply #38 on: July 08, 2014, 04:45:31 am »
Quote
For get Yume no Nikki working you must edit the RPG_RT.ini according to your game translation, add the following section:
Code: [Select]
[EasyRPG]
Encoding=932
or
Code: [Select]
[EasyRPG]
Encoding=1252

My version is working with 932, I don't know if it is fully functional though.



dude, you are awesome!
question!
the ini must be like:

Code: [Select]
[RPG_RT]
GameTitle=‚‚‚‚‚
MapEditMode=2
MapEditZoom=1
FullPackageFlag=1
[EasyRPG]
Encoding=932

?

'cause i didn't get it to work (tried both numbers)
:(
« Last Edit: July 08, 2014, 03:28:46 pm by gustavolatil »

Homeplanet

  • Posts: 28
Re: EasyRPG - Development Build (2014/07/05)
« Reply #39 on: July 08, 2014, 06:33:58 pm »
converted the music to .ogg, but still no luck (it's really just for Phantom Legacy now, OFF crashed on the battle tutorial, but Schuld works!). Still though, even without music (on some things), awesome stuff!
ARGHGHEHGHGH - Chewbacca

Words to live by